# Icinga PHP Incubator | (c) 2022 Icinga GmbH | GPLv2

%global shortname incubator

Name:    icinga-php-incubator
Version: 0.18.0
Release: 1%{?dist}
Summary: Icinga PHP Incubator Libraries

Group:   Productivity/Networking/Web/Frontends
License: MIT
URL:     https://icinga.com
Source0: icinga-php-incubator-0.18.0.tgz

Requires: icingaweb2 >= 2.10.3

BuildArch: noarch

%description
Bleeding edge Icinga PHP libraries bundled.

%global basedir %{_datadir}/icingaweb2/modules/%{shortname}

%prep
%autosetup

%install
install -dm 0755 %{buildroot}%{basedir}
find . -type f -not -name LICENSE -not -name README.md -maxdepth 1 -exec cp -p "{}" %{buildroot}%{basedir} \;
find . -type d -not -path . -maxdepth 1 -exec cp -pr "{}" %{buildroot}%{basedir} \;

%files
%doc README.md
%license LICENSE
%{basedir}

%post
# Only on install
if [ $1 == 1 ]; then
    if [ ! -d /etc/icingaweb2/enabledModules ]; then
        install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
    fi

    ln -sf %{basedir} %{_sysconfdir}/icingaweb2/enabledModules/%{shortname}
fi

%preun
if [ $1 == 0 ]; then
    rm -f %{_sysconfdir}/icingaweb2/enabledModules/%{shortname}
fi

%changelog
* Thu Sep 22 2022 Icinga GmbH <info@icinga.com> - 0.18.0-1
- Version 0.18.0-1
